Name:		hanzlici-release
Version:	1.0
Release:	1%{?dist}
Summary:	hanzlici Repository Configuration
Group:		System Environment/Base
License:	GPL
URL:		http://www.hanzlici.cz/fedoralinux/
Source0:	hanzlici.repo
#Source1:	hanzlici-updates.repo
#Source2:	hanzlici-updates-testing.repo
#Source3:	RPM-GPG-KEY-hanzlici-fedora-primary
Source1:	RPM-GPG-KEY-hanzlici-fedora-primary
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	system-release >= %{version}

%description
Repository contains open source and other distributable software actually
not present in Fedora repos.

This package contains the Yum package manager configuration files for
hanzlici's repository. Repo hasn't GPG key.

%prep
echo "Not needed"

%build
echo "Not needed"

%install
rm -rf $RPM_BUILD_ROOT

# Used dirs (but they should be already there)
install -d -m755 \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg  \
  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

# GPG Key
#%{__install} -Dp -m644 %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
%{__install} -Dp -m644 %SOURCE1 $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg

# Links for the keys
#ln -s $(basename %SOURCE3) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-hanzlici-fedora-%{?dist}-i386
#ln -s $(basename %SOURCE3) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-hanzlici-fedora-%{?dist}-x86_64
ln -s $(basename %SOURCE1) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-hanzlici-fedora-%{?dist}-i386
ln -s $(basename %SOURCE1) $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-hanzlici-fedora-%{?dist}-x86_64

# Yum .repo files
#%{__install} -p -m644 %SOURCE0 %SOURCE1 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%{__install} -p -m644 %SOURCE0 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*

%changelog
* Sun Aug 14 2011 Franta Hanzlik <franta at hanzlici.cz>
- Initial RPM release

